package asynchronous;
import java.io.IOException;
import java.net.InetSocketAddress;
import java.nio.ByteBuffer;
import java.nio.channels.AsynchronousSocketChannel;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;


public class Client {

	public static void main(String[] args) throws IOException, InterruptedException, ExecutionException {
	//ouverture du canal
	
AsynchronousSocketChannel client = AsynchronousSocketChannel.open();
//connexion au serveur
InetSocketAddress adresseServeur = new InetSocketAddress("localhost",3883);
Future<Void> future= client.connect(adresseServeur);
future.get();
System.out.println("Dmarrage du client : " + client.isOpen());
//envoi d'un message au serveur
String[] messages = new String[] {"Le temps passe.", "Et  prsent ?", "Au revoir"};
for (String message: messages) {
	ByteBuffer buffer = ByteBuffer.wrap(message.getBytes());
	Future<Integer> result = client.write(buffer);
	 while (! result.isDone()) {
		 System.out.println("... ");
	 }
	 System.out.println(message);
	 buffer.clear();
	 Thread.sleep(2000); 
	 }

//ferme le canal
client.close();
	}
}
