package nio.hello;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;
import java.nio.channels.Channels;
import java.nio.channels.WritableByteChannel;

/* Annick Fron
 * Pourquoi faire simple quand on peut faire complique
 */

public class Hello {

	public static void main(String[] args) {
		String hello = "Hello World" + System.getProperty ("line.separator");
		ByteBuffer bb;
		try {
			bb = ByteBuffer.wrap (hello.getBytes ("UTF-8"));
			WritableByteChannel wbc = Channels.newChannel (System.out);
			wbc.write (bb);
			wbc.close();
		} catch (UnsupportedEncodingException e) {
	
			e.printStackTrace();
		} catch (IOException e) {
			
			e.printStackTrace();
		}



	}

}
