package nio.hello;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;

public class LectureFichier {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		FileInputStream fin;
		try {
			// fichier d'entree
			fin = new FileInputStream( "lireetmontrer.txt" );
			FileChannel fcin = fin.getChannel();
			// fichier de sortie
			FileOutputStream fout = new FileOutputStream( new File("lireetmontrerCopie.txt" ));
			FileChannel fcout = fout.getChannel();
			ByteBuffer buffer = ByteBuffer.allocateDirect( 2048);

			while (true) {
			buffer.clear();
			int r = fcin.read( buffer );
			 if (r==-1) {
			break; }
			buffer.flip();
			fcout.write( buffer );
			 }

			
		} catch (FileNotFoundException e) {

			e.printStackTrace();
		} catch (IOException e) {
	
			e.printStackTrace();
		}
	
	}

}
