package nio.selecteur;

/* Annick Fron
 * Client de test du serveur non bloquant
 */

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.Writer;
import java.net.Socket;
import java.net.UnknownHostException;

public class Client {

	public static void main(String[] args) {
		Socket socket;
		try {
			socket = new Socket("localhost", 6789);
			InputStream is = socket.getInputStream();
			OutputStream os = socket.getOutputStream();
			Writer writer = new OutputStreamWriter(os, "US-ASCII");
			PrintWriter out = new PrintWriter(writer, true);
			out.println("Bonjour ...");
			BufferedReader in = new BufferedReader
			(new InputStreamReader(is, "US-ASCII"));
			 String line;
			 while ((line = in.readLine()) != null) {
			System.out.println(line);
			 }
			socket.close();
		} catch (UnknownHostException e) {
	
			e.printStackTrace();
		} catch (IOException e) {

			e.printStackTrace();
		}



	}

}
