package tcp;

/* Annick Fron
 * Serveur TCP socket avec lancement d'un thread par client
 * Permet des connexions successives de clients a hauteur 
 * du nombre de threads du pool
 */


import java.io.IOException;

import java.net.ServerSocket;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.RejectedExecutionHandler;
import java.util.concurrent.ThreadPoolExecutor;


public class ServeurPoolThread {
	// limitation du nombre de threads
	private static int nbThreads=3;
	
	public static void main(String[] args){
		ServerSocket serverSocket;
		try {
			serverSocket = new ServerSocket(6666);
			System.out.println("Serveur prt");
			boolean estActif = true;
			ExecutorService pool = Executors.newFixedThreadPool(nbThreads);
			((ThreadPoolExecutor) pool).setRejectedExecutionHandler(new ThreadPoolExecutor.AbortPolicy());
/*			((ThreadPoolExecutor) pool).setRejectedExecutionHandler(
					new RejectedExecutionHandler() {  
				public void rejectedExecution(Runnable r, ThreadPoolExecutor executor) {
					System.out.println("tache rejetee");					
				}});
*/
			while(estActif) {
			  Handler handler=new Handler(serverSocket.accept());
			  pool.execute(handler);}

		

			serverSocket.close();
} catch (IOException e) {
	
			e.printStackTrace();
		}
	

	}

}
