package tcp;

/* Annick Fron
 * Serveur TCP socket avec lancement d'un thread par connexion
 * Permet des connexions simultanees de clients
 */


import java.io.IOException;

import java.net.ServerSocket;


public class ServeurMultiThread {
	
	public static void main(String[] args){
		ServerSocket serverSocket;
		try {
			serverSocket = new ServerSocket(6666);
			System.out.println("Serveur prt");
			boolean estActif = true;
		
			// boucle sur les connexions et demarrage d'un Thread
			while(estActif) new Handler(serverSocket.accept()).start();

			serverSocket.close();
} catch (IOException e) {
	
			e.printStackTrace();
		}
	

	}

}
